File: changelog

package info (click to toggle)
lhs2tex 1.22-2
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 1,828 kB
  • sloc: haskell: 4,000; makefile: 314; sh: 221
file content (318 lines) | stat: -rw-r--r-- 10,401 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
lhs2tex (1.22-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:39 +0300

lhs2tex (1.22-1) unstable; urgency=medium

  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 13:33:30 +0300

lhs2tex (1.20-1) unstable; urgency=medium

  * Set Rules-Requires-Root to no.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 03 Jul 2018 22:51:45 -0400

lhs2tex (1.19-6) unstable; urgency=medium

  [ Clint Adams ]
  * Update Homepage field.

  [ Ilias Tsitsimpis ]
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:13 -0400

lhs2tex (1.19-5) unstable; urgency=high

  * Depend on texlive-science (closes: #864225)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 05 Jun 2017 12:28:59 -0400

lhs2tex (1.19-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:21 -0400

lhs2tex (1.19-3) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 12:42:26 -0400

lhs2tex (1.19-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:22 -0500

lhs2tex (1.19-1.1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Mark lhs2tex as Multi-Arch: foreign.

  [ Joachim Breitner ]
  * Bump standards-version to 3.9.6

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:14 +0200

lhs2tex (1.19-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:36:03 +0200

lhs2tex (1.18.1-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:46 +0200

lhs2tex (1.18.1-1) experimental; urgency=low

  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 09 Feb 2013 12:50:03 +0100

lhs2tex (1.17-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream.
  * debian/control:
    - Standards version 3.9.2 (no changes required).
    - Added myself to uploaders. Added DM-Upload-Allowed: yes.
  * debian/patches/ :
    - Disable patches no-utf8-string.patch and add-typesig (in upstream).
    - Refresh patches/no-n-plus-k-pattern.
    - Add Dep3 info to patches/no-n-plus-k-pattern.
  * debian/rules : Fix a couple of lintian warnings.

  [ Joachim Breitner ]
  * debian/watch: Refer to hackage

 -- Joachim Breitner <nomeata@debian.org>  Sat, 31 Dec 2011 15:25:24 +0100

lhs2tex (1.15-4) unstable; urgency=low

  [ Joachim Breitner ]
  * Section: haskell

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Joachim Breitner ]
  * Remove n-plus-k-patterns (Closes: #628319)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 02 Jun 2011 20:42:27 +0200

lhs2tex (1.15-3) unstable; urgency=low

  * Force all IO to utf8 (Closes: #576512)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 11 Apr 2010 19:21:38 +0200

lhs2tex (1.15-2) unstable; urgency=low

  * Upload to unstable.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 03 Apr 2010 23:30:53 +0200

lhs2tex (1.15-1) experimental; urgency=low

  * New upstream release
  * Adopt by the Debian Haskell Group
  * Update homepage
  * Use dh_prep instead of dh_clean -k
  * No more bashism (Closes: #530115)
  * Builds fine with ghc-6.12 (Closes: #574794)
  * Do not use utf8-string (Closes: #570868)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 25 Mar 2010 19:00:23 +0100

lhs2tex (1.14-1) experimental; urgency=low

  * New upstream release:
    - Unicode support.
    - Support for Agda's lexing rules (via --agda flag).
  * debian/control:
    - Add libghc6-utf8-string-dev to the build dependencies.

 -- Arjan Oosting <arjan@debian.org>  Sat, 17 Jan 2009 18:06:34 +0100

lhs2tex (1.13-4) unstable; urgency=low

  * Add dependency on texlive-math-extra as polycode.fmt depends on
    the theoretical computer science fonts located in stmaryrd.sty
    Thanks Tomasz Maciejewski  (Closes: #511818)
  * debian/rules: Use dh_installtex to generate maintainer scripts
    which call mktexlsr.
  * debian/control: Add tex-common to build dependencies as it provides
    dh_installtex.

 -- Arjan Oosting <arjan@debian.org>  Sat, 17 Jan 2009 18:02:16 +0100

lhs2tex (1.13-3) unstable; urgency=medium

  * debian/control:
    - Add dpatch to the build dependencies.
    - Bump Standards-Version to 3.8.0
  * debian/patches/01_always_install_polytable.dpatch:
    - Patch config.mk.in to make sure we install the polytable (La)Tex
      style.
  * debian/patches/10_fix_bashims.dpatch:
    - Fix a bashism in the examples of lhs2TeX (Closes: #489624)
  * debian/README.source: Added.
  * debian/rules:
    - Include dpatch snippet
    - Remove the sed expressions which is replaced with a regular patch
  * Set urgency to medium to get the bashism fix into Lenny.

 -- Arjan Oosting <arjan@debian.org>  Sun, 20 Jul 2008 11:16:15 +0200

lhs2tex (1.13-2) unstable; urgency=low

  * Fix bashism in debian/rules. (Closes: #484397)
  * debian/control:
    - Drop dependencies on obsolete packages tetex-bin, tetex-base and
      tetex-extra. Fixes lintian error depends-on-obsolete-package
  * debian/doc-base:
    - Change Section to Programming/Haskell

 -- Arjan Oosting <arjan@debian.org>  Mon, 09 Jun 2008 06:57:19 +0200

lhs2tex (1.13-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Also look for gzipped tarballs.
  * debian/control:
    - Point the Vcs-* fields to the trunk directories which contains the
      latest version of the debian package.

 -- Arjan Oosting <arjan@debian.org>  Tue, 26 Feb 2008 08:00:03 +0100

lhs2tex (1.13~pre3-2) unstable; urgency=low

  * debian/control:
    - Bump build dependency on ghc6 to 6.8.2 which is now needed to build
      the package.

 -- Arjan Oosting <arjan@debian.org>  Mon, 21 Jan 2008 01:30:45 +0100

lhs2tex (1.13~pre3-1) unstable; urgency=low

  * New upstream release, which should work with the GHC 6.8 series and be
    compatible with Cabal 1.2.
  * Fix some lintian warnings
    - package-contains-empty-directory usr/sbin/
    - doc-base-file-separator-extra-whitespaces lhs2tex-guide:13
  * debian/control:
    - Add libghc6-regex-compat-dev to the build dependencies.
    - Replace the Xs-Vcs-* fields with the official Vcs-* fields.
    - Add Homepage field.
    - Bump Standards-Version to 3.7.3. No changes needed.
  * debian/rules:
    - Export DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE as
      /usr/share/doc/autotools-dev/README.Debian.gz suggests.
    - Remove some generated files during clean.

 -- Arjan Oosting <arjan@debian.org>  Sat, 19 Jan 2008 17:17:13 +0100

lhs2tex (1.12-3) unstable; urgency=low

  * debian/compat: Change to debhelper compatibility level 5.
  * debian/control:
    - Add XS-Vcs-Browser field.
    - Bump dependency on debhelper to debhelper 5 or higher.

 -- Arjan Oosting <arjan@debian.org>  Thu, 12 Apr 2007 01:22:02 +0200

lhs2tex (1.12-2) experimental; urgency=low

  * Add the necessary Depends for texlive in addition to tetex:
    - Depend on texlive-latex-base | tetex-bin for the mktexslr program.
    - Depend on texlive-latex-base | tetex-base for the styles array and
      calc.
    - Depend on texlive-latex-base | tetex-extra for the style colortbl.

 -- Arjan Oosting <arjan@debian.org>  Mon, 12 Feb 2007 00:23:22 +0100

lhs2tex (1.12-1) experimental; urgency=low

  * New upstream release.

 -- Arjan Oosting <arjan@debian.org>  Thu, 11 Jan 2007 16:45:17 +0100

lhs2tex (1.11-2) unstable; urgency=low

  * debian/rules: do not rebuild the user guide as it needs ghci which
    does not work on all arctectures.
  * debian/control: Drop the Build-Depends on tetex-bin, tetex-base and
    tetex-extra as we don't rebuild the guide anyway.

 -- Arjan Oosting <arjan@debian.org>  Fri, 20 Oct 2006 17:08:52 +0200

lhs2tex (1.11-1) unstable; urgency=medium

  * Take over maintaince from John Goerzen. Thanks for your work on this
    package!
  * New upstream release. (Closes: #366969)
  * config.mk.in: remove -package lang (Closes: 393822)
  * debian/control:
    - add Build-Depends on autotools-dev to make sure the latest
      config.guess and config.sub are used.
    - add missing Build-Depends on tetex-extra.
    - added Homepage entry.
    - bump Standards-Version. No changes needed.
    - add XS-Vcs-Svn field.
  * debian/copyright:
    - Include the license of lazylist.sty and update the license of the
      rest of the package. (Closes: #389924)
  * debian/dirs: dropped as it is not necessary.
  * debian/doc-base: added doc-base entry for guide.
  * debian/postrm: added. Also call mktexlsr when lhs2tex is removed.
  * debian/rules:
    - copy config.sub and config.guess in the config.status target and
      remove them on clean to keep the diff.gz small.
    - do not ignore all errors on clean.
    - ensure polytable.sty gets included and the guide will be rebuild.
    - remove commented out debhelper calls.
    - add -O0 to GHCFLAGS when DEB_BUILD_OPTIONS contains noopt and remove
      CFLAGS manipulation as this is no C program.
    - don't gzip pdf files as most pdf readers can not handle compresses
      pdf files and pdf files use internal compression anyway.
  * debian/watch: added uscan watch file.

 -- Arjan Oosting <arjan@debian.org>  Thu, 19 Oct 2006 18:12:48 +0200

lhs2tex (1.9-2) unstable; urgency=low

  * Rebuilt to get dep on correct new libgmp3 in sid.  Closes: #329276.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 21 Sep 2005 05:32:01 -0500

lhs2tex (1.9-1) unstable; urgency=low

  * Initial Release.  Closes: #292653.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 28 Jan 2005 09:50:20 -0600